
local W = application:getDeviceWidth()
local H = application:getDeviceHeight()

local imageWidth, imageHeight = 120, 160
local startFrame, endFrame = 1, 34
local currentFrame = startFrame

local pack = TexturePack.new("rotate.txt","rotate.png")
local region = pack:getTextureRegion(string.format("%02d.png", currentFrame))
local bitmap = Bitmap.new(region)

bitmap:setPosition(W / 2 - imageWidth / 2, H / 2 - imageHeight / 2) -- center
	
stage:addChild(bitmap)

function onEnterFrame(event)
	
	region = pack:getTextureRegion(string.format("%02d.png", currentFrame))
	
	bitmap:setTextureRegion(region)
	
	currentFrame = currentFrame + 1
	
	if currentFrame == endFrame then 
		
		currentFrame = startFrame 
		
	end
	
end

stage:addEventListener(Event.ENTER_FRAME, onEnterFrame)
